Module jdk.incubator.vector
Package jdk.incubator.vector

# Interface VectorOperators.Binary

All Superinterfaces:
  `VectorOperators.Operator`

All Known Subinterfaces:
  `VectorOperators.Associative`

Enclosing class:
  `VectorOperators`

public static interface VectorOperators.Binary extends VectorOperators.Operator
Type for all lane-wise binary (two-argument) operators, usable in expressions like `w = v0.``lanewise``(ADD, v1)`.

API Note:
  User code should not implement this interface. A future release of this type may restrict implementations to be members of the same package.

## Method Summary

### Methods declared in interface jdk.incubator.vector.VectorOperators.Operator

`arity, compatibleWith, isAssociative, isBoolean, name, operatorName, rangeType`